# Class CashDepositAccountPayload

#### Hierarchy

- unknown
  - CashDepositAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4222
- Defined in src/protobuf/pb_pb.d.ts:4261

#####
Index

### Constructors

constructor

### Methods

getAccountNr
getAccountType
getBankId
getBankName
getBranchId
getHolderEmail
getHolderName
getHolderTaxId
getNationalAccountId
getRequirements
serializeBinary
setAccountNr
setAccountType
setBankId
setBankName
setBranchId
setHolderEmail
setHolderName
setHolderTaxId
setNationalAccountId
setRequirements
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CashDepositAccountPayload(): CashDepositAccountPayload

- #### Returns CashDepositAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAccountNr

- getAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4238

### getAccountType

- getAccountType(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4241

### getBankId

- getBankId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4232

### getBankName

- getBankName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4229

### getBranchId

- getBranchId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4235

### getHolderEmail

- getHolderEmail(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4226

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4223

### getHolderTaxId

- getHolderTaxId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4247

### getNationalAccountId

- getNationalAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4250

### getRequirements

- getRequirements(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4244

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4253

### setAccountNr

- setAccountNr(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4239

### setAccountType

- setAccountType(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4242

### setBankId

- setBankId(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4233

### setBankName

- setBankName(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4230

### setBranchId

- setBranchId(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4236

### setHolderEmail

- setHolderEmail(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4227

### setHolderName

- setHolderName(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4224

### setHolderTaxId

- setHolderTaxId(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4248

### setNationalAccountId

- setNationalAccountId(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4251

### setRequirements

- setRequirements(value: string): CashDepositAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4245

### toObject

- toObject(includeInstance?: boolean): CashDepositAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CashDepositAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4254

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CashDepositAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4257

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CashDepositAccountPayload, reader: BinaryReader): CashDepositAccountPayload

- #### Parameters

  - ##### message: CashDepositAccountPayload

  - ##### reader: BinaryReader

  #### Returns CashDepositAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4258

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CashDepositAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CashDepositAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4256

### `Static` toObject

- toObject(includeInstance: boolean, msg: CashDepositAccountPayload): CashDepositAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CashDepositAccountPayload

  #### Returns CashDepositAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4255

Generated using TypeDoc